### Virtual Method

# Clutter ShaderEffect get_static_shader_source

#### Declaration [src]

    gchar*
    get_static_shader_source (
      ClutterShaderEffect* effect
    )

#### Description [src]

Returns the GLSL source code to use for instances of this shader effect. Note that this function is only called once per subclass of `ClutterShaderEffect` regardless of how many instances are used. It is expected that subclasses will return a copy of a static string from this function.

#### Return value

Type: `gchar*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.